<h1>Edit book</h1>
<form>
  <mat-form-field class="full-width">
    <input matInput placeholder="Name" [(ngModel)]="book.name" name="name">
  </mat-form-field>
  <mat-form-field class="full-width">
    <input matInput placeholder="Author" [(ngModel)]="book.author" name="author">
  </mat-form-field>
  <mat-form-field class="full-width">
    <input matInput placeholder="Publisher" [(ngModel)]="book.publisher" name="publisher">
  </mat-form-field>
  <mat-form-field class="full-width">
    <input type="number" matInput placeholder="Price" [(ngModel)]="book.price" name="price">
  </mat-form-field>
  <mat-form-field class="full-width">
    <input matInput placeholder="Img URL" [(ngModel)]="book.imgUrl" name="imgUrl">
  </mat-form-field>
  <mat-form-field class="full-width">
    <mat-label>Category</mat-label>
    <mat-select [(ngModel)]="book.category._id" name="category">
      <mat-option *ngFor="let category of allCategories" [value]="category._id">
        {{category.name}}
      </mat-option>
    </mat-select>
  </mat-form-field>
  <mat-form-field class="full-width">
    <textarea matInput placeholder="Summary" [(ngModel)]="book.summary" name="summary"></textarea>
  </mat-form-field>
  <div class="buttons">
    <button mat-raised-button color="primary" (click)="EditBook()">Edit</button>
    <button mat-button (click)="dialogRef.close()">Cancel</button>
  </div>
</form>